Delete Price by ID for a Product
The “Delete Price by ID for a Product” API allows deleting a specific price associated with a particular product using its unique identifier. Use this endpoint to remove a price from the system.
DELETE
/
products
/
{productId}
/
price
/
{priceId}
Delete Price by ID for a Product
curl --request DELETE \
--url https://services.leadconnectorhq.com/products/{productId}/price/{priceId} \
--header 'Version: <version>'const options = {method: 'DELETE', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/products/{productId}/price/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/{productId}/price/{priceId}"
headers = {"Version": "<version>"}
response = requests.delete(url, headers=headers)
print(response.text){
"status": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Last modified on March 8, 2026
Was this page helpful?
Delete Price by ID for a Product
curl --request DELETE \
--url https://services.leadconnectorhq.com/products/{productId}/price/{priceId} \
--header 'Version: <version>'const options = {method: 'DELETE', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/products/{productId}/price/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/{productId}/price/{priceId}"
headers = {"Version": "<version>"}
response = requests.delete(url, headers=headers)
print(response.text){
"status": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}